PL/php - Feature #4980

Add support for parameter names
12/05/2005 07:38 AM - Alvaro Herrera

Status: Closed Start date:

Priority: Immediate Due date:

Assignee: Alexey Klyukin % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Release 1.3

Resolution: fixed

Description

Function arguments can have names as of Postgres 8.0. Add support for those in PL/php, so that parameters can be accessed as
$name in addition to $args!r3.

History

#1 - 12/05/2005 07:42 AM - Alvaro Herrera

- Status changed from New to In Progress

#2 - 05/29/2006 09:16 AM - bford -
#6 - 12/21/2006 02:34 PM - bford -

- Status changed from In Progress to New

#7 - 09/13/2007 08:40 AM - Alexey Klyukin

- Status changed from New to In Progress

Ok, | think it is possible to take function argument names from proargnames|] text array in pg_proc and use them inside plphp_compile_function when
making function php source. The question is: should we require names for each pl/php function argument, and if not - are we going to support both
$args[] and $name style of accessing arguments.

#8 - 09/13/2007 08:52 AM - Alvaro Herrera

| think the answer is no to the first. Arguments should be optional. We should continue to accept the $args[] format, but we would also support
named parameters.

#9 - 09/17/2007 12:09 PM - Alexey Klyukin

Changes and regression test committed to the repo, usage example is here: [
https://projects.commandprompt.com/public/plphp/wiki/Documentation#FunctionArgumentNames]

#10 - 09/25/2007 03:01 AM - Alexey Klyukin

- Status changed from In Progress to Closed
- Resolution set to fixed
